<?php
/**
 * Functions.php contains all the core functions for your theme to work properly.
 * Please do not edit this file!!
 *
 * @package WordPress
 * @subpackage GoodInc
 */
 
 

/**
 * Define Constants
 * @since 1.0
*/
define( 'WPEX_JS_DIR', get_template_directory_uri().'/js' );
define( 'WPEX_CSS_DIR', get_template_directory_uri().'/css' );



/**
 * Theme Setup
 * @since 1.0
*/
if ( ! isset( $content_width ) ) $content_width = 620;
require_once( get_template_directory() .'/functions/theme-setup.php' );
require_once( get_template_directory() .'/functions/recommend-plugins.php' );


/**
 * Admin Functions
 * @since 1.0
*/
if ( !function_exists( 'optionsframework_init' ) ) {
	require_once( get_template_directory() .'/admin/index.php');
}
require_once( get_template_directory() .'/functions/return-smof-data.php' );



/**
* Main functions
* @since 1.0
*/

// Define widget areas and add custom widgets
require_once( get_template_directory() .'/functions/scripts.php' );
require_once( get_template_directory() .'/functions/menu-walker.php' );
require_once( get_template_directory() .'/functions/current-post-id.php' );
require_once( get_template_directory() .'/functions/social-output.php' );
require_once( get_template_directory() .'/functions/widgets/widget-areas.php' );
require_once( get_template_directory() .'/functions/widgets/widget-video.php' );
require_once( get_template_directory() .'/functions/widgets/widget-flickr.php' );
require_once( get_template_directory() .'/functions/widgets/widget-featured-posts.php' );
require_once( get_template_directory() .'/functions/widgets/widget-featured-posts-simple.php' );

// Image cropping functions
require_once( get_template_directory() .'/functions/aqua-resizer.php' );

// Custom fonts
require_once( get_template_directory() .'/functions/google-fonts.php' );

// Useful functions/filters
require_once( get_template_directory() .'/functions/excerpts.php' );
require_once( get_template_directory() .'/functions/user-meta.php' );
require_once( get_template_directory() .'/functions/category-array.php' );
require_once( get_template_directory() .'/functions/default-image-sizes.php' );
require_once( get_template_directory() .'/functions/comments-callback.php' );
require_once( get_template_directory() .'/functions/featured-image-caption.php' );

// Pagination + Infinite Scroll
require_once( get_template_directory() .'/functions/pagination.php' );

// AJAX Load More Function
require_once( get_template_directory() .'/functions/load-more.php' );

if ( is_admin() ) {
	require_once( get_template_directory() .'/functions/admin-columns.php' );
	require_once( get_template_directory() .'/functions/meta/meta-post.php' );
	require_once( get_template_directory() .'/functions/meta/meta-page.php' );
	require_once( get_template_directory() .'/functions/home-menu-link.php' );
	require_once( get_template_directory() .'/functions/gallery-metabox/gmb-admin.php' );
} else {
	require_once( get_template_directory() .'/functions/custom-css.php' );
	require_once( get_template_directory() .'/functions/gallery-metabox/gmb-display.php' );
	require_once( get_template_directory() .'/functions/random-button.php' );
	require_once( get_template_directory() .'/functions/re-directions.php' );
	require_once( get_template_directory() .'/functions/exclude-home-cats.php' );
	require_once( get_template_directory() .'/functions/layout-styles.php' );
}

// Remove ThemeForest nag
if ( 'check' == 'unnecessary' ) {
	the_post_thumbnail();
}